Site Template
35 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSitesOverrides | GET | get site overrides |
| getSiteTemplateList | GET | Get site template list |
| createNewSiteTemplate | POST | Create new site template |
| deleteSiteTemplate | DELETE | Delete an existing site template |
| getSiteTemplateEntity | GET | Get site template info |
| updateSiteTemplateEntity | PUT | Modify an existing site template |
| getValidDeviceModel | GET | get valid device template |
| unbindSite | POST | Batch unbind sites from a site template |
| bindSiteTemplate | POST | Bind site with a site template |
| getBoundSites | GET | Get sites info which bound to the site template |
| getSiteTemplateSettingCap | GET | Get siteTemplate capabilities. |
| copySiteTemplate | POST | Create Site Template by copying exist site template |
| copySiteTemplateToCustomers | POST | Copy site template to customers |
| boundSiteExistUnSupportRadSecDevice | GET | Check for unsupported RadSec devices in the bound sites. |
| getGridDeviceTemplate | GET | Get deviceTemplate info list |
| createDeviceTemplate | POST | create device template |
| deleteDeviceTemplate | DELETE | delete device template |
| modifyDeviceTemplate | PATCH | modify device template |
| getGridDeviceTemplateAvailableDevices | GET | Get deviceTemplate's available devices |
| deviceTemplateBindDeviceBatch | POST | Device template batch bind devices |
| deviceTemplateSyncConfigBatch | POST | Device template batch sync config to devices |
| deviceTemplateUnbindDeviceBatch | POST | Device template batch unbind devices |
| getGridDeviceTemplateBoundDevices | GET | Get deviceTemplate's bound devices |
| getGridDevicesAvailableTemplate | GET | get the devices on the site and the templates that can be bound |
| getGridDeviceTemplateDetail | GET | get device template |
| getSiteTemplateDstInfo | GET | Get daylight saving time information for the Site template configuration |
| batchSyncSiteWithTemplate | POST | Batch sync site settings with the site template |
| getSiteTemplateConfiguration | GET | get site template settings |
| getExistSiteTemplateSettingByOpenApi | GET | Query site template setting exist or not |
| getSiteTemplateGeneralConfig | GET | get site template general config |
| getSiteTemplateService | GET | get site template service |
| getSiteTemplateWirelessFeature | GET | get site template WirelessFeature |
| getSiteTemplateSpecification | GET | Get siteTemplate functional specifications |
| getSiteTemplateAllModules | GET | Get all function modules which can be selected when creating site template |
| getSiteTemplateModules | GET | Get function modules which can be selected when creating site template (deprecated) |
getSitesOverrides
GET /openapi/v1/{omadacId}/site-overrides
get site overrides
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteIds | query | array<string> | yes | Site IDs |
// omada_call_operation
{
"operationId": "getSitesOverrides",
"params": {
"siteIds": "<siteIds>"
}
}Details, permissions and error codes
get site overrides
The interface requires one of the permissions:
Global Site Template Manager View Only
getSiteTemplateList
GET /openapi/v1/{omadacId}/sitetemplates
Get site template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field name |
// omada_call_operation
{
"operationId": "getSiteTemplateList"
}Details, permissions and error codes
Get site template list
The interface requires one of the permissions:
Global Site Template Manager View Only
createNewSiteTemplate
POST /openapi/v1/{omadacId}/sitetemplates
Create new site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema CreateSiteTemplateEntity
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the site template should contain 1 to 64 characters. |
type | integer | no | This param has been deprecated. Please do not use it. |
settings | array<string> | no | Settings of the site template support. Optional settings are as follows: AIRFPlaning, firewall, wirelessIdsIps, siteCLI, abnormal, sim, log, auditLogs, applicationControl, servicesRebootSchedule, servicesPortSchedule |
// omada_call_operation
{
"operationId": "createNewSiteTemplate",
"body": "{...}"
}Details, permissions and error codes
Create new site template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33108 - The number of site templates has reached the limit.
-44430 - This name already exists. Please enter another name for this site template.
deleteSiteTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}
Delete an existing site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "deleteSiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Delete an existing site template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
getSiteTemplateEntity
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}
Get site template info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateEntity",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template info
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
updateSiteTemplateEntity
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}
Modify an existing site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema UpdateSiteByTemplate
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the site should contain 1 to 64 characters. |
// omada_call_operation
{
"operationId": "updateSiteTemplateEntity",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing site template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-44430 - This name already exists. Please enter another name for this site template.
getValidDeviceModel
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/available-devicemodels
get valid device template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getValidDeviceModel",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get valid device template
The interface requires one of the permissions:
Global Site Template Manager View Only
unbindSite
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/batch-unbind
Batch unbind sites from a site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BatchUnbindSites
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | yes | The IDs of target sites. |
// omada_call_operation
{
"operationId": "unbindSite",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch unbind sites from a site template.
The interface requires one of the permissions:
Global Dashboard Manager Modify
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
bindSiteTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bind-site
Bind site with a site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BindSiteOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteId | string | yes | Site ID to bind. |
switches | array<DeviceBindOpenApiVO> | no | Switch choose for binding device template. |
// omada_call_operation
{
"operationId": "bindSiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Bind site with a site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
getBoundSites
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/binding-sites
Get sites info which bound to the site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getBoundSites",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get sites info which bound to the site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
getSiteTemplateSettingCap
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/capacity
Get siteTemplate capabilities.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateSettingCap",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate capabilities.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
copySiteTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/copy
Create Site Template by copying exist site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema CopySiteTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the site should contain 1 to 64 characters. |
// omada_call_operation
{
"operationId": "copySiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Site Template by copying exist site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
copySiteTemplateToCustomers
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/copy/batch
Copy site template to customers
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BatchCopySiteTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the site should contain 1 to 64 characters. |
targetOmadacs | array<string> | yes | The target Customer ID needs to be obtained from the interface "Obtain the customer ID with permission to modify site templates". |
// omada_call_operation
{
"operationId": "copySiteTemplateToCustomers",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Copy the site template to one or more customers (whose site templates the current user has permission to modify). Up to 10 customers can be operated at the same time.
The interface requires one of the permissions:
Global Site Template Manager Modify
boundSiteExistUnSupportRadSecDevice
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devices/un-support-radsec
Check for unsupported RadSec devices in the bound sites.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "boundSiteExistUnSupportRadSecDevice",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get the result of detecting devices in the bound sites that do not support the RadSec feature.
The interface requires one of the permissions:
Global Site Template Manager View Only
Site Device Manager View Only
getGridDeviceTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates
Get deviceTemplate info list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDeviceTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get deviceTemplate info list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createDeviceTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates
create device template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema deviceTemplateAdd
| Field | Type | Required | Description |
|---|---|---|---|
templateName | string | no | The name of device template. |
deviceType | string | no | The type of device. |
model | string | no | The model name of device. |
modelVersion | string | no | The model version of device.For example: 1.0 |
templateSettings | array<integer> | no | The configurable modules of device. For Access Series/ Aggregation/ Campus Switches: 1:port; 2:vlanInterface; 3:staticRoute; 6:general; 7:loopbackControl. For Agile Series Switches: 1:port; 5:ipSetting; 6:general; 7:loopbackControl. For only Wireless Gateways: 2:radios; 3:wlans; 5:advanced. For only 4G/5G Gateways: 7:sim_statistics; 8:sms_settings. For all Gateways: 1:port; 4:general; 9:routing; 10:nat; 11:bandwidth_control; 12:acl; 13:session_limit; 14:gateway_qos; 15:url_filtering; 16:application_control; 17:ids_ips; 18:firewall; 19:dns; 20:upnp; 21:iptv; 23:advanced_general; 24:mac_filtering. |
// omada_call_operation
{
"operationId": "createDeviceTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
create device template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33012 - This name already exists in the device template.
deleteDeviceTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}
delete device template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "deleteDeviceTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
delete device template
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyDeviceTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}
modify device template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema deviceTemplateEdit
| Field | Type | Required | Description |
|---|---|---|---|
templateName | string | no | The name of device template. |
autoBind | boolean | no | Devices will automatically bind the template and use template configurations. |
status | integer | no | The status of device template. 0:completed ; 1:draft |
// omada_call_operation
{
"operationId": "modifyDeviceTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
modify device template
The interface requires one of the permissions:
Global Site Template Manager Modify
getGridDeviceTemplateAvailableDevices
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/available-bind-devices
Get deviceTemplate's available devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDeviceTemplateAvailableDevices",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get deviceTemplate's available devices.
The interface requires one of the permissions:
Global Site Template Manager View Only
deviceTemplateBindDeviceBatch
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/batch-binddevice
Device template batch bind devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema BatchBindDeviceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
devices | array<DeviceBindBriefOpenApiVO> | no |
// omada_call_operation
{
"operationId": "deviceTemplateBindDeviceBatch",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Device template batch bind devices.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-44402 - Device template does not exist.
deviceTemplateSyncConfigBatch
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/batch-sync-config
Device template batch sync config to devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema BatchBindDeviceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
devices | array<DeviceBindBriefOpenApiVO> | no |
// omada_call_operation
{
"operationId": "deviceTemplateSyncConfigBatch",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Device template batch sync config to devices.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-44402 - Device template does not exist.
deviceTemplateUnbindDeviceBatch
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/batch-unbinddevice
Device template batch unbind devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema BatchBindDeviceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
devices | array<DeviceBindBriefOpenApiVO> | no |
// omada_call_operation
{
"operationId": "deviceTemplateUnbindDeviceBatch",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Device template batch unbind devices.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-44402 - Device template does not exist.
getGridDeviceTemplateBoundDevices
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/bound-devices
Get deviceTemplate's bound devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDeviceTemplateBoundDevices",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get deviceTemplate's bound devices.
The interface requires one of the permissions:
Global Site Template Manager View Only
getGridDevicesAvailableTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/available-devices/{siteId}
get the devices on the site and the templates that can be bound
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDevicesAvailableTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"siteId": "<siteId>"
}
}Details, permissions and error codes
get the devices on the site and the templates that can be bound
The interface requires one of the permissions:
Global Site Template Manager View Only
getGridDeviceTemplateDetail
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/detail
get device template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDeviceTemplateDetail",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get device template
The interface requires one of the permissions:
Global Site Template Manager View Only
getSiteTemplateDstInfo
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/dst-info
Get daylight saving time information for the Site template configuration
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateDstInfo",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get daylight saving time information for the Site template configuration
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-53124 - Device Management Host not enable.
batchSyncSiteWithTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/multi-sites/sync
Batch sync site settings with the site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BatchSyncSitesOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | yes | Site IDs to sync with site template. |
// omada_call_operation
{
"operationId": "batchSyncSiteWithTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch sync site settings with the site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-44418 - Failed to sync this site with the site template due to unexpected errors.
-44423 - You can sync site configurations with the site template for up to 30 sites at a time.
getSiteTemplateConfiguration
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/configuration
get site template settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateConfiguration",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get site template settings.
The interface requires one of the permissions:
Global Site Template Manager View Only
getExistSiteTemplateSettingByOpenApi
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/exist
Query site template setting exist or not
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getExistSiteTemplateSettingByOpenApi",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Query site template setting exist or not
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteTemplateGeneralConfig
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/general/config
get site template general config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateGeneralConfig",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get site template general config
The interface requires one of the permissions:
Global Site Template Manager View Only
getSiteTemplateService
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service
get site template service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateService",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get site template service
The interface requires one of the permissions:
Global Site Template Manager View Only
getSiteTemplateWirelessFeature
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/wireless/feature
get site template WirelessFeature
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateWirelessFeature",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get site template WirelessFeature.
The interface requires one of the permissions:
Global Site Template Manager View Only
getSiteTemplateSpecification
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/specification
Get siteTemplate functional specifications
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateSpecification",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate functional specifications(Return value only after adding a low-specification device).
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteTemplateAllModules
GET /openapi/v1/{omadacId}/sitetemplates/all-modules
Get all function modules which can be selected when creating site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getSiteTemplateAllModules"
}Details, permissions and error codes
Get all function modules which can be selected when creating site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getSiteTemplateModules
GET /openapi/v1/{omadacId}/sitetemplates/modules
Deprecated
This operation is deprecated.
Get function modules which can be selected when creating site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getSiteTemplateModules"
}Details, permissions and error codes
Get function modules which can be selected when creating site template. This interface has been deprecated. Please use the following interface instead: Get all function modules which can be selected when creating site template.
The interface requires one of the permissions:
Global Site Template Manager Modify